Name:		rosa-launcher
Version:	0.34.5
Release:	1.1
Epoch:		1
Summary:	ROSA Desktop Application Launcher
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		http://www.rosalab.ru/
Source0:	rosa-launcher-%{version}.tar.gz

Requires:       kdebase4-workspace
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  kdebase4-devel

%description
ROSA Desktop Application Launcher

%files
%defattr(-,root,root)
%_kde_bindir/rosa-launcher
%_kde_libdir/kde4/plasma_applet_rosa-launcher.so
%_kde_datadir/kde4/services/plasma-applet-rosa-launcher.desktop
%_localedir/*

%_kde_libdir/kde4/plasma_applet_rosastarter.so
%_kde_datadir/kde4/services/plasma-applet-rosastarter.desktop

%_kde_libdir/kde4/plasma_runner_rosa_services.so
%_kde_datadir/kde4/services/plasma-runner-rosa-services.desktop

%_kde_datadir/icons/rosa/apps/128/rosalauncher.png
%_kde_datadir/apps/rosa-launcher/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%make build

%install
%makeinstall_std

%ifarch x86_64
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64
%endif


%changelog
* Tue Dec 13 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.34.5-1.1
- built for updates

* Thu Dec 08 2011 Aleksey Ermakov <kuraisu@mandriva.org> 1:0.34.5-1
+ Revision: 738960
- Added scroll position reset for Applications tab on tab change.
- Fixed glitched icons in Recent Applications after application removal.
- Fixed content repositioning due to scrollbar hiding on tab change.
- Reversed back use of Epoch.
- Implemented own instance of Plasma::ScrollWidget class with fixes.

* Mon Nov 07 2011 Security Team <security@mandriva.com> 1:0.32-4.1
+ Revision: 726488
- built for updates

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add epoch in the Qt4 requires.

  + Ural Mullabaev <mur@mandriva.org>
    - Fixed requirement for qt4 in the spec file
    - Added requirement qt>=4.7.4 to the spec file
    - Updated sources archive
    - Fixed group labels disappearance when new Places shortcut added.
      Ported ROSA Starter applet from Python to C++.
      Added contraction of the names in the "Recent Documents" section.
      Fixed shifting of the icons when tab changed to the Welcome.
      Fixed adding empty shotcuts to the "Recent Applications" section.
      Added Drag-and-Drop mechanism for items in the results of searching.

  + Aleksey Ermakov <kuraisu@mandriva.org>
    - Fixed bug with crash when launching from Welcome tab not with hack but with finished solution.
    - Fixed bug with crash when launching from Welcome tab.
    - Fixed bug with crash when launching from Welcome tab.
    - Fixed empty Recent Applications crash bug.
    - Fixed 3 search bugs.
    - Added python-dbus dependency.
    - Fixed icons reposition on tab change.
      Updated TimeFrame.
    - Added keyboard input.
      Updated TimeFrame.
    - Added feature: saving launched apps from search query to Recent Apps
    - Removed unnecessary debug messages which flooded ~/.xsession-errors
    - Added new lock and shutdown buttons.
      Updated TimeFrame.
    - Added tooltip for ROSA Starter.
      Added correct icons for ROSA Starter and ROSA Launcher plasma applets.
      Cleaned some debug messages.
    - Added manual redraw on size update for ROSA Starter to circumvent Plasma Panel bug.
      Changed default user icon to system one.
      TimeFrame updated.

* Mon Jul 04 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28.2-1
+ Revision: 688688
- TimeFrame updated.

* Wed Jun 29 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28.1-1
+ Revision: 688245
- Updated TimeFrame with fixes of memory leaks.

* Tue Jun 28 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.28-1
+ Revision: 687815
- Fixed all found memory leaks. Timeframe updated.

* Mon Jun 27 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.27-1
+ Revision: 687421
- Timeframe updated. Username label made bigger.

* Tue Jun 21 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.26-1
+ Revision: 686538
- New installed applications correctly shown in Applications tab.
- New installed applications correctly shown in Applications tab.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file

* Thu Jun 16 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.25-1
+ Revision: 685681
- Updated TimeFrame in SimpleWelcome codebase.
- Updated TimeFrame in SimpleWelcome codebase.

* Tue Jun 07 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.23.3-1
+ Revision: 683066
- Searchbar fixes

* Fri Jun 03 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.23.2-1
+ Revision: 682644
- Updated TimeFrame

* Tue May 31 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.22.5-1
+ Revision: 682087
- Updated russian and portuguese localizations

* Mon May 30 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.22.3-2
+ Revision: 681969
- First release of TimeFrame

* Wed May 25 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.20.2-2
+ Revision: 679081
- clean again and again the spec file as ppl does not know
  how to use SVN.
  More cleaning
  	- Remove the changelog from the spec file
  	- Fix package Layout

* Wed May 25 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.20.2-1
+ Revision: 678967
- Implemented application search functionality

* Fri May 20 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.18.2-2
+ Revision: 676301
- More cleaning
  	- Remove the changelog from the spec file
  	- Fix package Layout
- Clean spec file
- Fix release
- REUSE rpm macros

* Thu May 19 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.18.2-1
+ Revision: 676201
- Fix firefix run problem. Add KRun mechanizm

* Fri Apr 29 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.17.1-2
+ Revision: 660593
- Use rpm macros

  + Aleksey Ermakov <kuraisu@mandriva.org>
    - Added Drag n Drop

* Thu Apr 14 2011 Alex Burmashev <burmashev@mandriva.org> 0.16.1-1
+ Revision: 652979
- update

* Mon Apr 11 2011 Alex Burmashev <burmashev@mandriva.org> 0.15.4-1
+ Revision: 652629
- source and spec change
- build as noarch
- build requires fix
- import rosa-launcher

